POST
/api/v1/collectionCreate Fund Collection
Collect funds from project sub-addresses to the specified wallet address. to_address must be a wallet address of the current team. Disabled addresses cannot be used as collection sources. If amount is omitted, the full balance of the address is collected by default.
Rate limit: 1000 requests/minute
Request
Request Body
required
application/jsonnoncestringrequired6-character random string.
timestampinteger<int64>requiredTimestamp.
signstringrequiredSignature string.
pidinteger<int64>requiredProject ID.
currencystringrequiredToken identifier to query, in
chain_id@token_idformat.from_addressstringrequiredProject address to collect from. Disabled addresses cannot be collected from.
to_addressstringrequiredCollection recipient address. It must be an address in the wallet bound to the current project address.
amountstringCollection amount. If omitted, all funds at the address are collected by default.
Responses
200Success. Returns the Cregis system transaction ID.application/jsoncodestringResponse code.
msgstringResponse message.